<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>CRUD Courses</title>
    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.2.1/dist/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- dataTable -->
    <link rel="stylesheet" href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css">
    <script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <!-- Các file css và js tự định nghĩa thêm -->
    <script src="CRUDcourse.js"></script>
</head>
<body>
    <div class="container">
        <div class="text-center">
            <h2>Course List</h2>
        </div>
        <div>
            <button class="btn btn-primary" id="btn-add"><i class="fas fa-plus"></i> add</button>
        </div>
    </div>
    <br>
    <div class="container">
        <table class="table table-bordered table-hover table-striped" id="table-course" >
            <thead class="font-weight-bold">
                <tr>
                    <td>Id</td>
                    <td>CourseCode</td>
                    <td>CourseName</td>
                    <td>Price</td>
                    <td>Duration</td>
                    <td>Level</td>
                    <td>TeacherName</td>
                    <td>Action</td>
                </tr>
            </thead>
        </table>
    </div>
    <!-- modal add course -->
    <div class="modal fade" tabindex="-1" role="dialog" id="modal-add-course">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Thêm Course</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <form action="">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Course Code</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-coursecode">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Course Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-coursename">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-price">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Discount Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-discountprice">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Duration</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-duration">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Level</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-level" class="form-control">
                                <option value="Beginner">Beginner</option>
                                <option value="Intermediate">Intermediate</option>
                                <option value="Advanced">Advanced</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Cover Image</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-cover-img">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Teacher Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-teachername">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Teacher Photo</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-teacherphoto">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">is Popular</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-popular" class="form-control">
                                <option value="0"></option>
                                <option value="true">true</option>
                                <option value="flase">false</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Is Trending</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-trending" class="form-control">
                                <option value="0"></option>
                                <option value="true">true</option>
                                <option value="flase">false</option>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" id="id-confirm-add">Xác nhận</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Hủy bỏ</button>
            </div>
          </div>
        </div>
      </div>

      <!-- modal edit course -->
    <div class="modal fade" tabindex="-1" role="dialog" id="modal-edit-course">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Sửa Course</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <form action="">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Course Code</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-courseCode">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Course Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-courseName">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-price">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Discount Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-discountprice">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Duration</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-duration">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Level</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-level" class="form-control" id="select-level">
                                <option value="0">--level--</option>
                                <option value="beginner">Beginner</option>
                                <option value="intermediate">Intermediate</option>
                                <option value="advanced">Advanced</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Cover Image</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-cover-img">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Teacher Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-teachername">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Teacher Photo</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-teacher-photo">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">is Popular</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-popular" class="form-control" id="select-popular">
                                <option value="0">--Click để chọn--</option>
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label for="">Is Trending</label>
                        </div>
                        <div class="col-sm-8">
                            <select name="" id="select-trending" class="form-control" id="select-trending">
                                <option value="0">--Click để chọn--</option>
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary" id="btn-confirm-edit">Xác nhận</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Hủy bỏ</button>
            </div>
          </div>
        </div>
      </div>

      <!-- modal delete -->
    <!-- Modal -->
    <div class="modal fade" id="modal-delete-course" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Xác nhận xóa course</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                Bạn có chắc chắn muốn xóa Course này không?
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Hủy bỏ</button>
            <button type="button" class="btn btn-primary" id="btn-confirm-xoa">Xác nhận</button>
            </div>
        </div>
        </div>
    </div>

    <!-- Modal thêm khóa học thành công thành công-->
    <div class="modal fade" id="modal-add-ok" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Thêm Khóa Học Thành Công</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">OK</button>
            </div>
        </div>
        </div>
    </div>
</body>
</html>